# Uses of Interface
com.sun.source.doctree.ReferenceTree

Packages that use ReferenceTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of ReferenceTree in com.sun.source.doctree

  Methods in com.sun.source.doctree that return ReferenceTree
  Modifier and Type
  Method
  Description
  `ReferenceTree`
  ThrowsTree.`getExceptionName()`
  Returns the name of the exception being documented.
  `ReferenceTree`
  LinkTree.`getReference()`
  Returns the reference of the link.
  `ReferenceTree`
  ValueTree.`getReference()`
  Returns the reference to the value.
  `ReferenceTree`
  ProvidesTree.`getServiceType()`
  Returns the name of the service type being documented.
  `ReferenceTree`
  UsesTree.`getServiceType()`
  Returns the name of the service type being documented.
  `default ReferenceTree`
  InheritDocTree.`getSupertype()`
  Returns the reference to a superclass or superinterface from which to inherit documentation, or `null` if no reference was provided.
  `ReferenceTree`
  SerialFieldTree.`getType()`
  Returns the type of the serial field.
  Methods in com.sun.source.doctree with parameters of type ReferenceTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeVisitor.`visitReference(ReferenceTree node, P p)`
  Visits a `ReferenceTree` node.

- ## Uses of ReferenceTree in com.sun.source.util

  Methods in com.sun.source.util that return ReferenceTree
  Modifier and Type
  Method
  Description
  `ReferenceTree`
  DocTreeFactory.`newReferenceTree(String signature)`
  Creates a new `ReferenceTree` object, to represent a reference to an API element.
  Methods in com.sun.source.util with parameters of type ReferenceTree
  Modifier and Type
  Method
  Description
  `ThrowsTree`
  DocTreeFactory.`newExceptionTree(ReferenceTree name, List<? extends DocTree> description)`
  Creates a new `ThrowsTree` object, to represent an `@exception` tag.
  `default InheritDocTree`
  DocTreeFactory.`newInheritDocTree(ReferenceTree supertype)`
  Creates a new `InheritDocTree` object, to represent an `{@inheritDoc}` tag.
  `LinkTree`
  DocTreeFactory.`newLinkPlainTree(ReferenceTree ref, List<? extends DocTree> label)`
  Creates a new `LinkTree` object, to represent a `{@linkplain }` tag.
  `LinkTree`
  DocTreeFactory.`newLinkTree(ReferenceTree ref, List<? extends DocTree> label)`
  Creates a new `LinkTree` object, to represent a `{@link }` tag.
  `ProvidesTree`
  DocTreeFactory.`newProvidesTree(ReferenceTree name, List<? extends DocTree> description)`
  Creates a new `ProvidesTree` object, to represent a `@provides` tag.
  `SerialFieldTree`
  DocTreeFactory.`newSerialFieldTree(IdentifierTree name, ReferenceTree type, List<? extends DocTree> description)`
  Creates a new `SerialFieldTree` object, to represent a `@serialField` tag.
  `ThrowsTree`
  DocTreeFactory.`newThrowsTree(ReferenceTree name, List<? extends DocTree> description)`
  Creates a new `ThrowsTree` object, to represent a `@throws` tag.
  `UsesTree`
  DocTreeFactory.`newUsesTree(ReferenceTree name, List<? extends DocTree> description)`
  Creates a new `UsesTree` object, to represent a `@uses` tag.
  `ValueTree`
  DocTreeFactory.`newValueTree(ReferenceTree ref)`
  Creates a new `ValueTree` object, to represent a `{@value }` tag.
  `default ValueTree`
  DocTreeFactory.`newValueTree(TextTree format, ReferenceTree ref)`
  Creates a new `ValueTree` object, to represent a `{@value }` tag.
  `R`
  DocTreeScanner.`visitReference(ReferenceTree node, P p)`
  Visits a `ReferenceTree` node.
  `R`
  SimpleDocTreeVisitor.`visitReference(ReferenceTree node, P p)`
  Visits a `ReferenceTree` node.